-- Creates the needed tables, namely the table that holds the Warden builder skills and the data information for skills
import "SDRPlugins.WardenEase2.Class";
import "SDRPlugins.WardenEase2.GambitTooltips";
import "SDRPlugins.WardenEase2.UI";
import "SDRPlugins.WardenEase2.WEController";

-- 1 = Spear, 2 = Shield, 3 = Fist, 4 = Javelin
SDRPlugins.WardenEase2.WardenGambits = Turbine.Gameplay.Attributes.WardenGambit;

SDRPlugins.WardenEase2.Skills = {};

SDRPlugins.WardenEase2.Skills.Fist = {};
SDRPlugins.WardenEase2.Skills.Fist.Data = "0x7000EECF";

SDRPlugins.WardenEase2.Skills.Spear = {};
SDRPlugins.WardenEase2.Skills.Spear.Data = "0x7000E867";

SDRPlugins.WardenEase2.Skills.Shield = {};
SDRPlugins.WardenEase2.Skills.Shield.Data = "0x7000ED0E";

SDRPlugins.WardenEase2.Skills.Default = {};
SDRPlugins.WardenEase2.Skills.Default.Data = "0x70015F56";

SDRPlugins.WardenEase2.Skills.Recovery = {};
SDRPlugins.WardenEase2.Skills.Recovery.Data = "0x70016A0A";

SDRPlugins.WardenEase2.Skills.QuickRecovery = {};
SDRPlugins.WardenEase2.Skills.QuickRecovery.Data = "0x70016A09";

SDRPlugins.WardenEase2.Skills["Spear and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Shield"].Data = "0x70015099";

SDRPlugins.WardenEase2.Skills["Spear and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Fist"].Data = "0x70015098";

SDRPlugins.WardenEase2.Skills["Shield and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Spear"].Data = "0x7001509D";

SDRPlugins.WardenEase2.Skills["Shield and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Fist"].Data = "0x7001509B";

SDRPlugins.WardenEase2.Skills["Fist and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Spear"].Data = "0x7001509A";

SDRPlugins.WardenEase2.Skills["Fist and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Shield"].Data = "0x7001509C";

SDRPlugins.WardenEase2.Skills["Fist and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Fist"].Data = "0x7002850C";

SDRPlugins.WardenEase2.Skills["Spear and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Spear"].Data = "0x7002850A";

SDRPlugins.WardenEase2.Skills["Shield and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Shield"].Data = "0x7002850B";

-- Stores information for Gambits, won't be needed if API is fixed
SDRPlugins.WardenEase2.Gambits = {};

SDRPlugins.WardenEase2.Gambits["Adroit Manoeuvre"] = {1,3,2,1}
SDRPlugins.WardenEase2.Gambits["Boar's Rush"] = {1,3,1,3}
SDRPlugins.WardenEase2.Gambits["Brink of Victory"] = {3,2,3}
SDRPlugins.WardenEase2.Gambits["Celebration of Skill"] = {2,1,2,1}
SDRPlugins.WardenEase2.Gambits["Combination Strike"] = {1,3,1}
SDRPlugins.WardenEase2.Gambits["Conviction"] = {2,3,2,3,2}
SDRPlugins.WardenEase2.Gambits["Dance of War"] = {2,3,2,3}
SDRPlugins.WardenEase2.Gambits["Defensive Strike"] = {2,2}
SDRPlugins.WardenEase2.Gambits["Deft Strike"] = {1,1}
SDRPlugins.WardenEase2.Gambits["Desolation"] = {3,2,3,2,3}
SDRPlugins.WardenEase2.Gambits["Exultation of Battle"] = {3,1,2,3,2}
SDRPlugins.WardenEase2.Gambits["Fierce Resolve"] = {3,1,2}
SDRPlugins.WardenEase2.Gambits["Goad"] = {3,3}
SDRPlugins.WardenEase2.Gambits["Impressive Flourish"] = {2,3}
SDRPlugins.WardenEase2.Gambits["Javelin of Virtue"] = {3,4,3,4}
SDRPlugins.WardenEase2.Gambits["Maddening Strike"] = {2,3,2}
SDRPlugins.WardenEase2.Gambits["Mighty Blow"] = {1,2,3,1}
SDRPlugins.WardenEase2.Gambits["Offensive Strike"] = {1,3}
SDRPlugins.WardenEase2.Gambits["Onslaught"] = {1,2,1}
SDRPlugins.WardenEase2.Gambits["Persevere"] = {2,1}
SDRPlugins.WardenEase2.Gambits["Piercing Strike"] = {3,1,3}
SDRPlugins.WardenEase2.Gambits["Piercing Toss"] = {3,4,3}
SDRPlugins.WardenEase2.Gambits["Power Attack"] = {1,2,3}
SDRPlugins.WardenEase2.Gambits["Precise Blow"] = {3,1}
SDRPlugins.WardenEase2.Gambits["Precise Throw"] = {3,4}
SDRPlugins.WardenEase2.Gambits["Ranged Adroit Manoeuvre"] = {4,3,2,4}
SDRPlugins.WardenEase2.Gambits["Ranged Boar's Rush"] = {4,3,4,3}
SDRPlugins.WardenEase2.Gambits["Ranged Boot"] = {4,2}
SDRPlugins.WardenEase2.Gambits["Ranged Celebration of Skill"] = {2,4,2,4}
SDRPlugins.WardenEase2.Gambits["Ranged Combination Strike"] = {4,3,4}
SDRPlugins.WardenEase2.Gambits["Ranged Deft Strike"] = {4,4}
SDRPlugins.WardenEase2.Gambits["Ranged Mighty Blow"] = {4,2,3,4}
SDRPlugins.WardenEase2.Gambits["Ranged Offensive Strike"] = {4,3}
SDRPlugins.WardenEase2.Gambits["Ranged Onslaught"] = {4,2,4}
SDRPlugins.WardenEase2.Gambits["Ranged Persevere"] = {2,4}
SDRPlugins.WardenEase2.Gambits["Ranged Power Attack"] = {4,2,3}
SDRPlugins.WardenEase2.Gambits["Ranged Reversal"] = {4,3,2}
SDRPlugins.WardenEase2.Gambits["Ranged Safeguard"] = {2,4,2}
SDRPlugins.WardenEase2.Gambits["Ranged The Dark Before Dawn"] = {4,2,4,3,4}
SDRPlugins.WardenEase2.Gambits["Ranged Unerring Strike"] = {4,2,3,4,2}
SDRPlugins.WardenEase2.Gambits["Ranged Wall of Steel"] = {4,2,4,2}
SDRPlugins.WardenEase2.Gambits["Ranged Warden's Triumph"] = {4,3,2,4,3}
SDRPlugins.WardenEase2.Gambits["Resolution"] = {3,1,2,3}
SDRPlugins.WardenEase2.Gambits["Resounding Challenge"] = {3,2,3,1}
SDRPlugins.WardenEase2.Gambits["Restoration"] = {2,1,2,1,2}
SDRPlugins.WardenEase2.Gambits["Reversal"] = {1,3,2}
SDRPlugins.WardenEase2.Gambits["Safeguard"] = {2,1,2}
SDRPlugins.WardenEase2.Gambits["Shield Mastery"] = {2,1,3,2}
SDRPlugins.WardenEase2.Gambits["Shield Tactics"] = {2,3,1,2}
SDRPlugins.WardenEase2.Gambits["Spear of Virtue"] = {3,1,3,1}
SDRPlugins.WardenEase2.Gambits["Surety of Death"] = {3,2,3,2}
SDRPlugins.WardenEase2.Gambits["The Boot"] = {1,2}
SDRPlugins.WardenEase2.Gambits["The Dark Before Dawn"] = {1,2,1,3,1}
SDRPlugins.WardenEase2.Gambits["Unerring Strike"] = {1,2,3,1,2}
SDRPlugins.WardenEase2.Gambits["Wall of Steel"] = {1,2,1,2}
SDRPlugins.WardenEase2.Gambits["War-cry"] = {3,2}
SDRPlugins.WardenEase2.Gambits["Warden's Triumph"] = {1,3,2,1,3}
